There is no way to manage network interfaces of compute profiles with libvirt if there is no libvirt
Description

Libvirt allows us to create two kinds of interfaces: physical and nat interfaces. The nat interfaces require 'libvirt networks' to be

populated, but the physical interfaces only requires 'libvirt interfaces'.

In our setup we delete on the hypervisors the 'virbr0' libvirt network.

As a result we see 'No networks found. ' where we expect to be able to select the physical interfaces.

Related issues:

Related to Foreman - Bug #11630: Resolution of #11385 breaks the vmware integ... Closed 09/01/2015

Associated revisions

Revision 8c6a7db0 - 08/19/2015 03:50 PM - Julien Pivotto

fixes #11385 - Enable management of nics in compute profiles without libvirt network

History

#1 - 08/17/2015 07:47 AM - Julien Pivotto

- File the-problem.png added

- File what-we-expect.png added

#2 - 08/17/2015 08:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2614 added

- Pull request deleted ()

#3 - 08/17/2015 08:01 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/2615 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2614)

#4 - 08/17/2015 08:19 AM - Julien Pivotto

@Dominic, it would be nice if this could be integrated for 1.9.1

I have provided 2 PR: https://github.com/theforeman/foreman/pull/2614 is what we have patched internally but 

https://github.com/theforeman/foreman/pull/2615 is a better solution.

#5 - 08/19/2015 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/2614
https://github.com/theforeman/foreman/pull/2615


Applied in changeset 8c6a7db05bf948aa750e6de560a6c35d23b7791f.

#6 - 08/20/2015 01:59 AM - Marek Hulán

- translation missing: en.field_release set to 72

- Pull request https://github.com/theforeman/foreman/pull/2614 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2615)

As suggested in one of PRs setting to 1.9.1, feel free to postpone if it makes more sense.

#7 - 09/01/2015 07:54 AM - Julien Pivotto

- Related to Bug #11630: Resolution of #11385 breaks the vmware integration added

#8 - 09/01/2015 07:55 AM - Dominic Cleal

- translation missing: en.field_release changed from 72 to 63

Files

the-problem.png 12.3 KB 08/17/2015 Julien Pivotto

what-we-expect.png 14.1 KB 08/17/2015 Julien Pivotto
